#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB2,0xE6,0xA8,0xC1,0xFC,0xF5,0x27,0xDC,0x42,0x34,0xBA,0x99,
		0x9C,0x35,0xB7,0xD7,0x85,0xA1,0x11,0xAA,0x2F,0xE5,0xA1,0xC6,
		0xCD,0x39,0x81,0x62,0x39,0xA7,0xF1,0xC2,0x65,0x63,0x74,0x41,
		0xC3,0x15,0x15,0xFF,0x92,0xE0,0x8B,0x82,0xD0,0x2F,0xF0,0x8F,
		0xB8,0x96,0x05,0x42,0xDD,0x61,0x12,0x5D,0x9E,0x92,0xD7,0x4B,
		0xDE,0x41,0xB8,0x43,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
